@echo off

if "%1"=="-en" goto english
if "%1"=="-ru" goto russian
color 4f
echo ERROR: lang.cmd for decrypt by adguard.
pause>nul
exit /b

:english
set "txt01=Enter / Paste the path to UUP files directory"
set "txt02=ERROR: UUP Edition file is not found in specified directory"
set "txt03=      UUP directory contains multiple editions files:"
set "txt04=            Enter edition number to proceed, or zero '0' to exit"
set "txt05=Enter your option and press "Enter""
set "txt06=UUP Edition info"
set "txt07=Create ISO with Standard install.wim"
set "txt08=Create ISO with Compressed install.esd"
set "txt20=Create Standard install.wim"
set "txt21=Create Compressed install.esd"
set "txt09=To exit the script, enter '0' to return to the file selection, enter the '9'"
set "txt10=Enter the number of your choices"
set "txt11=Convert CAB and DIR ^> ESD"
set "txt12=Creating"
set "txt13=Adding winre.wim to install.wim"
set "txt14=Errors were reported during apply."
set "txt15=Errors were reported during export."
set "txt16=Errors were reported during ISO creation."
set "txt17=Select build option for"
set "txt18=An install.wim file is already present in the current folder"
set "txt19=All editions are chosen"
set "txt22=I found folders in"
set "txt23=I found editions in folder"
set "txt24=We didn't find any files or folders in"
set "txt25=  Make your choice, or click '0' to select a different folder from the system
set "txt26=    Enter 'b' if you want to return to the folder level above or 'q' to exit

set "done=Done."
set "exitc=Press any key to continue"
set "exitd=Press any key to exit."
exit /b

:russian
chcp 866>nul
set "txt01=Введите полный путь к папке, где лежат файлы UUP"
set "txt02=ОШИБКА: Редакции UUP не удалось найти в выбранной папке"
set "txt03=     Выберите UUP редакцию, с которым я буду работать:"
set "txt04=            Чтобы выйти из скрипта, введите '0' и нажмите "Enter""
set "txt05=Введите порядковый номер редакции и нажмите "Enter""
set "txt06=Информация редакции UUP"
set "txt07=Создать полный ISO с стандартным install.wim"
set "txt08=Создать полный ISO с сжатым install.esd"
set "txt20=Создать стандартный install.wim"
set "txt21=Создать сжатый install.esd"
set "txt09=Чтобы выйти из скрипта введите '0', чтобы вернуться к выбору файла введите '9'"
set "txt10=Введите номер Вашего варианта"
set "txt11=Конвертирую CAB и DIR ^> ESD"
set "txt12=Создаётся"
set "txt13=Добавляется winre.wim в install.wim"
set "txt14=Были ошибки по время создания."
set "txt15=Были ошибки по время экспортирования."
set "txt16=Были ошибки по время создания ISO файла."
set "txt17=Выберите вариант сборки для"
set "txt18=Файл install.wim уже присутствует в текущей папке"
set "txt19=Выбраны все редакции"
set "txt22=Мной были найдены папки в"
set "txt23=Мной были найдены редакции в папке"
set "txt24=Мы не нашли ни одного файла или папки в"
set "txt25=   Сделайте Ваш выбор, или нажмите '0' чтобы выбрать другую папку из системы
set "txt26=   Введите 'b' если хотите вернутся на уровень папки выше или 'q' для выхода
set "done=Готово."
set "exitc=Нажмите любую кнопку чтобы продолжить"
set "exitd=Нажмите любую кнопку чтобы выйти."
exit /b
